Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class RuntimeManagerFactoryImpl

    java.lang.Object
      org.jbpm.runtime.manager.impl.RuntimeManagerFactoryImpl

All Implemented Interfaces:
  org.kie.internal.runtime.manager.RuntimeManagerFactory

    @ApplicationScoped
    public class RuntimeManagerFactoryImpl

extends Object
implements org.kie.internal.runtime.manager.RuntimeManagerFactory

Main entry point class for RuntimeManager module responsible for delivering `RuntimeManager` instances based on given `RuntimeEnvironment`.
It can be used in both CDI and non CDI environments although it does not produce RuntimeManager instance for CDI automatically but would be more used as injection to other beans that might be interested in creating `RuntimeManager` instances on demand.
This factory will try to discover several services before building RuntimeManager:

- SessionFactory - depending if persistence is enabled will select appropriate instance
- TaskServiceFactory - depending if TaskServiceFactory gets injected will select appropriate instance
- TimerService - depending if `SchedulerService` is given will create `GlobalTimerService`

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.RuntimeManagerFactory
`org.kie.internal.runtime.manager.RuntimeManagerFactory.Factory`

Constructor Summary
`RuntimeManagerFactoryImpl()`

Method Summary
`protected org.kie.internal.runtime.manager.SessionFactory` | `getSessionFactory(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`protected org.kie.internal.runtime.manager.TaskServiceFactory` | `getTaskServiceFactory(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`protected void` | `initTimerService(org.kie.internal.runtime.manager.RuntimeEnvironment environment, RuntimeManager manager)`
`RuntimeManager` | `newPerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`RuntimeManager` | `newPerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, String identifier)`
`RuntimeManager` | `newPerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`RuntimeManager` | `newPerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, String identifier)`
`RuntimeManager` | `newSingletonRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`RuntimeManager` | `newSingletonRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, String identifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeManagerFactoryImpl

    public RuntimeManagerFactoryImpl()

Method Detail

### newSingletonRuntimeManager

    public RuntimeManager newSingletonRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

  Specified by:
    `newSingletonRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### newSingletonRuntimeManager

    public RuntimeManager newSingletonRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                                     String identifier)

  Specified by:
    `newSingletonRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### newPerRequestRuntimeManager

    public RuntimeManager newPerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

  Specified by:
    `newPerRequestRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### newPerRequestRuntimeManager

    public RuntimeManager newPerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                                      String identifier)

  Specified by:
    `newPerRequestRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### newPerProcessInstanceRuntimeManager

    public RuntimeManager newPerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

  Specified by:
    `newPerProcessInstanceRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### newPerProcessInstanceRuntimeManager

    public RuntimeManager newPerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                                              String identifier)

  Specified by:
    `newPerProcessInstanceRuntimeManager` in interface `org.kie.internal.runtime.manager.RuntimeManagerFactory`

### getSessionFactory

    protected org.kie.internal.runtime.manager.SessionFactory getSessionFactory(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

### getTaskServiceFactory

    protected org.kie.internal.runtime.manager.TaskServiceFactory getTaskServiceFactory(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

### initTimerService

    protected void initTimerService(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                    RuntimeManager manager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.